﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docs.Html;
using Docs.Css;

namespace ParseCssFindStyle
{
    class Program
    {
        static void Main(string[] args)
        {
            string csssnippet = "h1 {background: yellow;} h3 {font-sizeof:12pt; color: blue;} a {text-decoration: underline;}";

            // Parse Css document
            CssDocument css = CssDocument.ParseCSS(csssnippet);

            // Find style for a tag
            FindSelector("h3", css);
            Console.ReadLine();
        }

        static void FindSelector(string SelectorName, CssDocument css)
        {
            foreach (RuleSet rule in css.RuleSets)
            {
                foreach (Selector sel in rule.Selectors)
                {
                    foreach(SimpleSelector simsel in sel.SimpleSelectors)
                    {
                        if (simsel.ElementName == SelectorName)
                        {
                            foreach (Declaration decl in rule.Declarations)
                                Console.WriteLine(decl.ToString());
                        }
                    }
                }
            }
        }
    }
}
