﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Docs.Html;
using Docs.Css;
using System.IO;

namespace ParseCssRenderHtml
{
    class Program
    {
        static void Main(string[] args)
        {
            string snippet = "<html>" +
                "<head><style>" +
                "h1 {background: yellow;}" +
                "h3 {font-sizeof:12pt; color: blue;}" +
                "a {text-decoration: underline;}" +
                "</style></head>" +
                "<body>" +
                "Html Parser + CSS Parser for .NET" +
                "</body></html>";

            // Parse the html
            HtmlDoc html = HtmlDoc.ParseHTML(snippet);

            // Get css stylesheet
            HtmlNodeCollection tableList = html.Nodes.FindByName("style");
            string styles = ((HtmlTag)tableList[0]).Text;

            // Parse the css
            CssDocument css = CssDocument.ParseCSS(styles);
            
            // Save css as an html 
            string htmlrender = HtmlRenderer.Render(css);
            StreamWriter htmlfile = new StreamWriter(@"..\..\..\htmlrender.html");
            htmlfile.Write(htmlrender);
            htmlfile.Close();

            // show the html file
            System.Diagnostics.Process.Start(@"..\..\..\htmlrender.html");
        }
    }
}
